com.r3corda.core.crypto / Party

# Party

`data class Party`

A Party is well known (name, pubkey) pair. In a real system this would probably be an X.509 certificate.

### Constructors

<init> | `Party(name: String, owningKey: PublicKey)` A Party is well known (name, pubkey) pair. In a real system this would probably be an X.509 certificate.

### Properties

name | `val name: String`
owningKey | `val owningKey: PublicKey`

### Functions

ref | `fun ref(bytes: OpaqueBytes): PartyAndReference` `fun ref(vararg bytes: Byte): PartyAndReference`
toString | `fun toString(): String`